Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.util
Class SharedTableReader

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.util.SharedTableReader

public class SharedTableReader
extends java.lang.Object

Constructor Summary
`SharedTableReader()`

Method Summary
`java.lang.Object` | `get(java.lang.Object name)` Get an object out of the table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedTableReader

    public SharedTableReader()

Method Detail

### get

    public java.lang.Object get(java.lang.Object name)

  Get an object out of the table.
  Parameters:
    `name` - The identifier associated with the object.
  Returns:
    The object associated with the given identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001